Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040978
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-05-30 15:342019-06-27 16:09
ReporterumartirenaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revision0c2cc75fab82
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040978: Wrong Net Sales and Gross Sales values in Cashup History Report for Cancel and Replace

DescriptionWrong Net Sales and Gross Sales values in Cashup History Report for Cancel and Replace. Cancel and Replace amounts are duplicated.
Steps To ReproduceLog in into https://livebuilds.openbravo.com/retail_pi_pgsql/web/org.openbravo.retail.posterminal/?terminal=VBS-1 [^]

 * Add Adhesive body warmers classic product to ticket
 * Pay by cash
 * Close the ticket
 * Click on Open Receipt and open the previous receipt
 * Click on Cancel and Replace
 * Without any change go to payments and click on Done.
 * Make cashup counting 5 in cash
 * Go to backoffice
 * Open Channel Touchpoint window and search for VBS-1 terminal.
 * Search in Cashup History Report tab the last processed cashup and check the following values:
    - Gross Sales: 10.00 (WRONG)
    - Net Sales: 8.26 (WRONG)
 * Check in Payment method status cashup tab the following values
    - Total Sales for Cash payment method: 5.00 (OK)

 The values in Cashup History Report tab are wrong. There are two options:
    - Gross Sales 10.00 and Gross Returns 5.00
    - Gross Sales 5.00
 
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041432 closedranjith_qualiantech_com The cashup is not calculated correctly using cancel and replace in Web POS 

-  Notes
(0112287)
umartirena (developer)
2019-05-31 08:32

This issue is making the cashup report to display wrong values.
(0112566)
hgbot (developer)
2019-06-11 08:11

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0c2cc75fab82afdb1d800eb4266a8f0479e75fdd
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Jun 11 11:40:32 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0c2cc75fab82afdb1d800eb4266a8f0479e75fdd [^]

Fixed issue 40978 : Cashup data should be updated when doing Cancal And Replace

* When doing CR, replacedOrderLine gross should be updated in returns and newLine should be updated in sales
  CR prepayments should be updated in payment method returns and new Payments should be added payment method sales

---
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0112567)
hgbot (developer)
2019-06-11 08:11

Repository: tools/automation/pi-mobile
Changeset: 2214279586a74d2a7f30a0f799050833eccb9891
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Jun 11 11:40:48 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/2214279586a74d2a7f30a0f799050833eccb9891 [^]

Verifies issue 40978 : Added automated test 'I40978_VerifyCashupDataWithCR'

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplReturn.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I40978_VerifyCashupDataWithCR.java
---
(0113067)
jorge-garcia (developer)
2019-06-27 16:09

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-05-30 15:34 umartirena New Issue
2019-05-30 15:34 umartirena Assigned To => Retail
2019-05-30 15:34 umartirena Triggers an Emergency Pack => No
2019-05-31 08:32 umartirena Note Added: 0112287
2019-06-07 14:15 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-06-07 14:15 ranjith_qualiantech_com Status new => scheduled
2019-06-11 08:11 hgbot Checkin
2019-06-11 08:11 hgbot Note Added: 0112566
2019-06-11 08:11 hgbot Status scheduled => resolved
2019-06-11 08:11 hgbot Resolution open => fixed
2019-06-11 08:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0c2cc75fab82afdb1d800eb4266a8f0479e75fdd [^]
2019-06-11 08:11 hgbot Checkin
2019-06-11 08:11 hgbot Note Added: 0112567
2019-06-27 13:49 jorge-garcia Review Assigned To => jorge-garcia
2019-06-27 16:09 jorge-garcia Note Added: 0113067
2019-06-27 16:09 jorge-garcia Status resolved => closed
2019-06-27 16:09 jorge-garcia Fixed in Version => RR19Q3
2019-08-05 09:36 ranjith_qualiantech_com Relationship added related to 0041432


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker